package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_NameMap_buildDict {
  protected HashMap return_val;
  public HashMap get_return_val() { return return_val; }
  public void set_return_val(HashMap new_return_val) { return_val = new_return_val; }
  public __V_NameMap_buildDict(HashMap return_val) {
    super();
    set_return_val(return_val);
  }
  public __V_NameMap_buildDict() { return_val = new HashMap(); }
 Name sgName; ClassGlobSpec cgNames; 
  public void before(Name host) { sgName = host; }
  public void before(ClassGlobSpec host) { cgNames = host; }
  public void after(NameBinding host) {
      return_val.put(sgName.toString(), cgNames);
    }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {  }

  void universal_trv0_aft(UniversalVisitor _v_) {  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    universal_trv0_aft(_v_);
  }

}
